Skip to main content
PUT
/
collections
/
{collection}
/
synonyms
/
{path}
Update a synonyms file
import requests

url = "https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}"

payload = { "path": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}")
.header("Content-Type", "application/json")
.body("{\n \"path\": \"<string>\"\n}")
.asString();
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>'})
};

fetch('https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"path\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}"

payload := strings.NewReader("{\n \"path\": \"<string>\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'path' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request PUT \
--url https://{FUSION HOST}/api/collections/{collection}/synonyms/{path} \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>"
}
'
This response has no body data.

Path Parameters

collection
string
required

The name of a collection.

path
string
required

The path to a synonyms file.

Pattern: .*

Body

application/json

The file's new path and state.

path
string
state
enum<string>
Available options:
NOT_READY,
READY,
NOT_SAVED

Response

200 - undefined